Bug 1126752 - VUL-1: CVE-2018-20786: libvterm: mishandles certain out-of-memory conditions, leading to a denial of service
VUL-1: CVE-2018-20786: libvterm: mishandles certain out-of-memory conditions,...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.1
Other Other
: P4 - Low : Minor (vote)
: ---
Assigned To: Ronan Chagas
Security Team bot
https://smash.suse.de/issue/225335/
maint:planned:update CVSSv2:NVD:CVE-...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-25 09:25 UTC by Robert Frohl
Modified: 2021-06-15 18:13 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2019-02-25 09:25:35 UTC
bnc#1126750

libvterm through 0+bzr726, as used in Vim and other products, mishandles certain
out-of-memory conditions, leading to a denial of service (application crash),
related to screen.c, state.c, and vterm.c.

References:
https://bugzilla.suse.com/show_bug.cgi?id=1126750
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-20786
https://github.com/vim/vim/issues/3711
https://github.com/vim/vim/commit/cd929f7ba8cc5b6d6dcf35c8b34124e969fed6b8
Comment 1 Robert Frohl 2019-02-25 09:28:17 UTC
Please note that there is a separate issue for the same vulnerability in the vim package: boo#1126750
Comment 2 Tomáš Chvátal 2019-07-11 11:40:05 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 3 Marcus Meissner 2019-07-12 06:07:14 UTC
still unfixed in 15.0
Comment 4 Ronan Chagas 2021-06-15 18:13:38 UTC
This bug should be fixed in both Leap and Tumbleweed. Please, reopen if this is not the case.